# CppApplicationPlugin

abstract class CppApplicationPlugin : Plugin<T>

A plugin that produces a native application from C++ source.

Assumes the source files are located in `src/main/cpp` and header files are located in `src/main/headers`.

Adds a CppApplication extension to the project to allow configuration of the application.

#### Since

4.5

## Constructors

CppApplicationPlugin
Link copied to clipboard
@Inject
constructor(componentFactory: NativeComponentFactory, toolChainSelector: ToolChainSelector, attributesFactory: AttributesFactory, targetMachineFactory: TargetMachineFactory)

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)